तीन स्कीम
हर स्कीम टेक्स्ट का छोटा टुकड़ा है जिसे फ़ोन सही ऐप को सौंपना जानता है। mailto: ईमेल ऐप खोलता है, tel: डायलर खोलता है और sms: मैसेजिंग ऐप, जिसमें प्राप्तकर्ता और कभी-कभी संदेश पहले से भरा होता है।
फ़ोन नंबर प्लस चिह्न और देश कोड के साथ अंतरराष्ट्रीय फ़ॉर्मैट में सबसे अच्छे चलते हैं, जैसे +15035550123, ताकि कोड दूसरे देशों से आए लोगों के लिए भी चले।
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (पुरानी परिपाटी, अब भी व्यापक रूप से पढ़ी जाती है)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (ईमेल की पुरानी परिपाटी)
संदेश के टेक्स्ट को एन्कोड करना
mailto और sms लिंक में विषय और संदेश के मुख्य भाग पर्सेंट-एन्कोड होने चाहिए, इसलिए स्पेस %20 बन जाता है और टेक्स्ट के भीतर का एम्परसेंड %26। बिना एन्कोड किए अक्षर संदेश को बीच में काट सकते हैं या लिंक तोड़ सकते हैं।
प्लैटफ़ॉर्म sms के body पैरामीटर को हमेशा एक-सा पार्स नहीं करते रहे हैं, जो एक वजह है कि पुराना SMSTO: रूप QR जेनरेटर में अब भी आम है। छापने से पहले iPhone और Android, दोनों पर जाँचना ही भरोसेमंद तरीका है।
ये कोड क्या नहीं कर सकते
QR कोड अपने-आप ईमेल नहीं भेज सकता, टेक्स्ट नहीं भेज सकता और कॉल नहीं लगा सकता। वह बस ऐप को भरे हुए फ़ील्ड के साथ खोलता है, और भेजना या कॉल करना है या नहीं, यह स्कैन करने वाला तय करता है।
भेजने से पहले प्राप्तकर्ता दिखता है, इसलिए लोगों को जाँचना चाहिए कि वह उनकी उम्मीद से मेल खाता है। ऐसा कोड जो प्रीमियम-रेट नंबर या अनजान पते पर संदेश पहले से भर दे, चेतावनी का संकेत है।